Package net.postgis.jdbc.geometry.binary

# Class ByteSetter.BinaryByteSetter

java.lang.Object
net.postgis.jdbc.geometry.binary.ByteSetter
net.postgis.jdbc.geometry.binary.ByteSetter.BinaryByteSetter

Enclosing class:
  `ByteSetter`

public static class ByteSetter.BinaryByteSetter extends ByteSetter

## Nested Class Summary

## Nested classes/interfaces inherited from class net.postgis.jdbc.geometry.binary.ByteSetter

`ByteSetter.BinaryByteSetter, ByteSetter.StringByteSetter`

## Constructor Summary

Constructors
Constructor
Description
`BinaryByteSetter(int length)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`result()`
`void`
`set(byte b, int index)`
Set a byte.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BinaryByteSetter

public BinaryByteSetter(int length)

## Method Details

### set

public void set(byte b, int index)
Description copied from class: `ByteSetter`
Set a byte.

Specified by:
  `set` in class `ByteSetter`
Parameters:
  `b` - byte value to set with
  `index` - index to set

### result

public byte[] result()

### toString

public String toString()

Overrides:
  `toString` in class `Object`